WordPress.org

Ready to get started?Download WordPress

Plugin Directory

HiDPI Gravatars

Enables high resolution Gravatar images on any browser that supports them.

Theme Requirements

You may not omit the wp_head and wp_footer template tags for this plugin to work correctly.

Cache Compatibility

HiDPI Gravatars is designed to be fully compatible with page caching plugins such as WP Super Cache.

Pages that were cached prior to activating HiDPI Gravatars will need to be refreshed. Empty the cache to make sure the new Gravatars will appear.

Other Gravatar Plugins

HiDPI Gravatars might not detect customized Gravatar functions in other plugins. If this is causing HiDPI Gravatars to miss pages that do have Gravatars on them, it will be necessary to add a line of code to your theme or plugin. For most websites this will not be necessary.

To forcibly trigger HiDPI Gravatars on a specific page, add this code at the appropriate place in your theme:

<?php define('MIQRO_HIDPI_THIS_PAGE', TRUE); ?>

Plugin authors: If you are not implementing the WordPress get_avatar filter, then you will need to add my code (as above) whenever a Gravatar is output. Either method should make your plugin compatible. Note, however, only the get_avatar filter is ajax compatible. Contact me if you need to use a different filter.

In any case, HiDPI Gravatars is not compatible with any Gravatar cache plugins.

Requires: 2.8 or higher
Compatible up to: 3.9
Last Updated: 2013-12-7
Downloads: 2,675

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2 100,1,1 100,1,1 100,1,1
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
100,1,1
100,2,2
100,2,2